<?php

//Main theme commands
$command['[modules]'] = '';
$command['[theme-path]'] = 'echo $themepath;';
$command['[image-path]'] = 'echo $imgpath;';
$command['[banners]'] = 'pnBannerDisplay();';
$command['[footer-msg]'] = 'footmsg();';
$command['[site-slogan]'] = 'echo pnConfigGetVar(slogan);';
$command['[site-name]'] = 'echo pnConfigGetVar(sitename);';
$command['[open-table]'] = 'OpenTable();';
$command['[close-table]'] = 'CloseTable();';
$command['[open-table2]'] = 'OpenTable2();';
$command['[close-table2]'] = 'CloseTable2();';
$command['[date]'] = 'echo ml_ftime(_DATELONG, (GetUserTime(time())));';
$command['[time]'] = 'echo ml_ftime(_TIMEBRIEF, (GetUserTime(time())));';
$command['[logo-image]'] = 'if ($logoimg && file_exists($imgpath.$logoimg)) {'
.'echo "<img src=\"".$imgpath.$logoimg."\" alt=\"".$module."\" />\n"; }';
$command['[user]'] = 'echo $username;';
$command['[user-welcome]'] = 'echo _WELCOME." ".$username;';
$command['[user-links]'] = 'if (!pnUserLoggedIn()) {'
.'echo "<a href=\"user.php?op=check_age&module=NS-NewUser\">'._NEWACCOUNT.'</a> | '
.'<a href=\"user.php?op=loginscreen&module=NS-User\">'._LOGIN.'</a>"; }'
.'else {'
.'echo "<a href=\"user.php\">'._MYACCOUNT.'</a> | '
.'<a href=\"user.php?module=NS-User&op=logout\">'._LOGOUT.'</a>"; }';
//add ._LOGIN for src
$command['[user-login]'] = 'if (!pnUserLoggedIn()) {'
.'echo "<form action=\"user.php\" method=\"post\">\n'
.'  <span class=\"pn-normal\">'._NICKNAME.'</span>\n'
.'  <input type=\"text\" name=\"uname\" size=\"14\" maxlength=\"25\">\n'
.'  <span class=\"pn-normal\">'._PASSWORD.'</span>\n'
.'  <input type=\"password\" name=\"pass\" size=\"14\" maxlength=\"20\">\n'
.'  <input type=\"checkbox\" value=\"1\" name=\"rememberme\" />\n'
.'  <span class=\"pn-normal\">'._REMEMBERME.'</span>\n'
.'  <input type=\"hidden\" name=\"module\" value=\"NS-User\" />\n'
.'  <input type=\"hidden\" name=\"op\" value=\"login\" />\n'
.'  <input type=\"hidden\" name=\"url\" value=\"index.php\" />\n";'
.'$btn = "<input class=\"pn-button\" type=\"submit\" value=\"'._LOGIN.'\" />\n";'  //New 3
.'if (file_exists($imgpath."login.gif")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."login.gif\" value=\"'._LOGIN.'\" />\n"; }'
.'elseif (file_exists($imgpath."login.jpg")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."login.jpg\" value=\"'._LOGIN.'\" />\n"; }'
.'elseif (file_exists($imgpath."login.png")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."login.png\" value=\"'._LOGIN.'\" />\n"; }'
.'echo $btn;'
.'echo "</form>\n"; }';
$command['[search]'] = 'echo "<form action=\"modules.php\" method=\"post\">\n'
.'  <input type=\"hidden\" name=\"name\" value=\"Search\" />\n'
.'  <input type=\"hidden\" name=\"file\" value=\"index\" />\n'
.'  <input type=\"hidden\" name=\"op\" value=\"modload\" />\n'
.'  <input type=\"hidden\" name=\"action\" value=\"search\" />\n'
.'  <input type=\"hidden\" name=\"active_comments\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_downloads\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_faqs\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_reviews\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_sections\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_stories\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_users\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"active_weblinks\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"overview\" value=\"1\" />\n'
.'  <input type=\"hidden\" name=\"bool\" value=\"AND\" />\n'
.'  <input type=\"hidden\" name=\"stories_cat\" value=\"\" />\n'
.'  <input type=\"hidden\" name=\"stories_topics\" value=\"\" />\n'
.'  <input type=\"text\" name=\"q\" value=\"\" size=\"12\" />\n";'
//add ._SEARCH for src
.'$btn = "<input class=\"pn-button\" type=\"submit\" value=\"'._SEARCH.'\" />\n";'  //New 3
.'if (file_exists($imgpath."search.gif")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."search.gif\" value=\"Search\" />\n"; }'
.'elseif (file_exists($imgpath."search.jpg")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."search.jpg\" value=\"Search\" />\n"; }'
.'elseif (file_exists($imgpath."search.png")) {'
.'   $btn = "<input type=\"image\" src=\"".$imgpath."search.png\" value=\"Search\" />\n"; }'
.'echo $btn;'
.'echo "</form>\n";';

//Block commands
$command['[block-title]'] = 'echo $block[title];';
$command['[block-content]'] = 'echo $block[content];';
$command['[left-blocks]'] = 'if ($index == 1 || $block_display["left"]) { blocks("left"); }';
$command['[center-blocks]'] = 'if ($index == 1 || $block_display["center"]) { blocks("center"); }';
$command['[right-blocks]'] = 'if ($index == 1 || $block_display["right"]) { blocks("right"); }';
$command['[area1-blocks]'] = 'if ($index == 1 || $block_display["area1"]) { blocks("1"); }';
$command['[area2-blocks]'] = 'if ($index == 1 || $block_display["area2"]) { blocks("2"); }';
$command['[area3-blocks]'] = 'if ($index == 1 || $block_display["area3"]) { blocks("3"); }';
$command['[area4-blocks]'] = 'if ($index == 1 || $block_display["area4"]) { blocks("4"); }';
$command['[area5-blocks]'] = 'if ($index == 1 || $block_display["area5"]) { blocks("5"); }';
$command['[area6-blocks]'] = 'if ($index == 1 || $block_display["area6"]) { blocks("6"); }';
$command['[area7-blocks]'] = 'if ($index == 1 || $block_display["area7"]) { blocks("7"); }';
$command['[area8-blocks]'] = 'if ($index == 1 || $block_display["area8"]) { blocks("8"); }';
$command['[area9-blocks]'] = 'if ($index == 1 || $block_display["area9"]) { blocks("9"); }';
$command['[top-blocks]'] = 'if ($index == 1 || $block_display["top"]) { blocks("top"); }';
$command['[bottom-blocks]'] = 'if ($index == 1 || $block_display["bottom"]) { blocks("bottom"); }';

//Article commands
$command['[cat-title]'] = 'echo $preformat[catandtitle];';
$command['[posted-by]'] = 'echo _POSTEDBY.": ".$info[informant];';
$command['[posted-date-time]'] = 'echo _ON." ".$info[longdatetime];';
$command['[topic-image]'] = 'echo $preformat[searchtopic];';
$command['[article-summary]'] = 'echo $info[hometext];';
$command['[article-full]'] = 'echo $preformat[fulltext];';
$command['[article-notes]'] = 'echo $preformat[notes];';
$command['[article-more]'] = 'echo $preformat[more];';
$command['[article-edit-del]'] = 'if (pnSecAuthAction(0, "Stories::", "::", ACCESS_ADMIN)) {'
.'echo "[<a href=\"admin.php?module=NS-AddStory&op=EditStory&sid=$info[sid]\">"'
.'._EDIT."</a> | <a href=\"admin.php?module=NS-AddStory&op=RemoveStory&sid=$info[sid]\">"'
.'._DELETE."</a> ]"; }';
$command['[article-reads]'] = 'echo $info[counter]." "._READS;';

//Colors used by modules (these are defined in theme.cfg)
$command['[color1]'] = 'echo $bgcolor1;';
$command['[color2]'] = 'echo $bgcolor2;';
$command['[color3]'] = 'echo $bgcolor3;';
$command['[color4]'] = 'echo $bgcolor4;';
$command['[color5]'] = 'echo $textcolor1;';
$command['[color6]'] = 'echo $textcolor2;';

//Banners by ID Type in .723
//[banners-type1] thru [banners-type99]
for($i = 1; $i <= 99; $i++) {
    $command['[banners-type'.$i.']'] = 'pnBannerDisplay('.$i.');';
}

?>
